Booting L4Re with qemu-system-arm: Panic in sigma0

Adam Lackorzynski adam at os.inf.tu-dresden.de
Wed Nov 1 23:23:25 CET 2017


On Wed Nov 01, 2017 at 11:17:12 +0800, Leslie Zhai wrote:
> still failed:
> 
> QEMU-cmd: qemu-system-arm -kernel
> /data/project/xiangzhai/l4re/l4/build-arm/images/bootstrap.elf -serial stdio
> -M integratorcp -cpu arm926 -m 256
> 
> I am trying to build Fiaso and L4Re with different GNU cross-compiler
> toolchain.

gcc 5 and later tool chains have ARMv6 instructions in their libgcc,
i.e. won't run on ARMv5 anymore. Taking the Codesourcery tool chain is
the right thing if ARMv5 code is required.


Adam



More information about the l4-hackers mailing list